{% extends '@KaitekFramework/Backend/module.html.twig' %}
{% trans_default_domain (modulename) %}
{% block begin_javascript_fix %}
<script type="text/javascript">
    {% endblock begin_javascript_fix %}


    {% block begin_javascript %}
    {{ parent() }}
    {{ modulename }}Obj.prototype = {
        init : function(){
            var t = this;
            t.gridLoaded=false;
            {{ modulename }}Obj.superclass.init.call(t);
            
            const formConfig= {
                items: [
                    new mj.form.field({
                        dataIndex: 'id',
                        hidden: true
                    }),
                    new mj.form.field({
                        dataIndex: 'version',
                        hidden: true
                    })
                    ,new mj.form.combo({
                        title: "{{ 'Reports.client'|trans }}",
                        placeHolder: "{{ 'Reports.client_placeholder'|trans }}",
                        dataIndex: 'client',
                        mode: 'local',
                        clearOnTriggerClick: true,
                        labelWidth : '60px',
                        grid: 's6 m4',
                        width: 170,
                        store: t.extras.clients
                    })
                    ,new mj.form.dateField({
                        title : "{{ 'Reports.day'|trans }}",
                        labelWidth : '60px',
                        dataIndex : 'day',
                        width : 80,
                        notEmpty : true,
                        right:true
                    })
                    ,new mj.form.combo({
                        title: "{{ 'Reports.jobrotation'|trans }}",
                        placeHolder: "{{ 'Reports.jobrotation_placeholder'|trans }}",
                        dataIndex: 'jobrotation',
                        labelWidth : '60px',
                        mode: 'local',
                        clearOnTriggerClick: true,
                        notEmpty: true,
                        grid: 's12 m6',
                        width: 100,
                        store: t.extras.job_rotations,
                        right:true
                    })
                    //,new mj.form.combo({
                    //    title: "{{ 'Reports.jobrotationteam'|trans }}",
                    //    placeHolder: "{{ 'Reports.jobrotationteam_placeholder'|trans }}",
                    //    dataIndex: 'jobrotationteam',
                    //    mode: 'local',
                    //    clearOnTriggerClick: true,
                    //    labelWidth : '110px',
                    //    grid: 's6 m4',
                    //    width: 170,
                    //    store: t.extras.jobrotationteams
                    //})
                ]
            };

            t._setFormConfig(formConfig,t.initFormElementsEvents);
            t.win.on('afterresize',function(){
                t.layout.doLayout();
            });
            t.tabPanels.main.setActive(0);
            t.win.maximize();
            t.cntOee=mj.NE(t.layout.getBody('center'),{style:'width: 500px;height: 200px;min-height: 200px;float: left;'});
            //t.cntOee_ur=mj.NE(t.layout.getBody('center'),{style:'width: 250px;height: 250px;max-width: 250px;min-height: 250px;float: left;'});
            //t.cntOee_fab=mj.NE(t.layout.getBody('center'),{style:'width: 250px;height: 250px;max-width: 250px;min-height: 250px;float: left;clear:none;'});
            //t.cntOee_gen=mj.NE(t.layout.getBody('center'),{style:'width: 250px;height: 250px;max-width: 250px;min-height: 250px;float: left;clear:none;'});
            t.cntProductionDetails=mj.NE(t.layout.getBody('center'),{style:'width: 55%;height: 200px;float: left;clear:none;'});
            t.cntProductions=mj.NE(t.layout.getBody('center'),{style:'width: 100%;height: 100px;float: left;clear:none;'});
            t.cntLostDetails=mj.NE(t.layout.getBody('center'),{style:'width: 100%;height: 100px;float: left;clear:none;'});
            /*t.cntTimeline=mj.NE(t.layout.getBody('center'),{style:'width: 100%;height: 100px;float: left;clear:none;'});
            t.waitMaskShow();
            google.charts.load("current", {packages:['timeline','gauge','corechart']});
            google.charts.setOnLoadCallback(loadCallBack);
            function loadCallBack(){
                t.waitMaskHide();
            };*/
        },
        _setFormConfig:function(formConfig){
            const t = this;
            t.stores.form = new mj.store({failure:function(a,b){
				t.waitMaskHide();
			}});
            t.stores.form.on('load', t._onFormStoreLoad, t);
    
            t.forms = {};
            t.panel=new mj.panel({
                renderTo : t.tabs.main.form.getBody(),
                border : false
            });
            t.windowButtons.add=false;
            t.windowButtons.delete=false;
            t.windowButtons.edit=false;
            t.windowButtons.formSubmit=false;
            t.windowButtons.formCancel=false;
            
            t.layout = new mj.layout({
                renderTo : t.panel.getBody(),
                layout : 'border',
                items : [
                    {
                        region  : 'north',
                        initial : 60,
                        min : 60,
                        max : 60,
                        split: false,
                        collapsible : false,
                        collapsed : false
                    }
                ]
            });
            
            t.forms.main = new mj.form(mj.apply({
                renderTo: t.layout.getBody('north'),//t.tabs.main.form.getBody(),
                modulename: t.modulename,
                store: t.stores.form,
                buttonPos:'bottom',
                buttons:[
                    {
                        alt: mj.lng.glb.list,
                        cls: 'btn-sm left',
                        iconCls: 'mj-list',
                        //invisible: true,
                        scope: t,
                        handler: t._onButtonFormSubmitClick
                    },
                    {
                        alt: mj.lng.glb.saveAsXLS,
                        cls: 'btn-sm left',
                        iconCls: 'mj-save-as-xls',
                        scope: t,
                        disabled: true,
                        handler: t._onButtonSaveAsXLSClick
                    }
                ] 
            }, formConfig));
            
            t.initDefaultButtons();
            t.buttons.formSubmit = t.forms.main.buttons[0];
        },
        editSelectedRecord: function(){
            return;
        },
        save: function() {
            var t = this,
                _f = this.forms,
                f = this.forms.main;
            t.trigger('beforesave');
            if (f.modulename && typeof Routing !== 'undefined') {
                t.waitMaskShow();
                t.forms.main.buttons[1].setDisable();
                var id = f.getValue('id').id;
                var versionField = f.getField('version');
                var version = typeof versionField != "undefined" ? f.getValue('version').version : 0;
                var routeName = f.modulename + '-getReport';
                var route = Routing.getRoute(routeName);
                var url = Routing.generate(routeName);
                var data = f.getValue();
                data.menuId = t.id;
                data.reportname = t.reportname;
                if (route && route.methods && route.methods.length>0 && route.methods[0]) {
                    t._event='save';
                    $(t.cntOee).empty();
                    //$(t.cntOee_ur).empty();
                    //$(t.cntOee_fab).empty();
                    //$(t.cntOee_gen).empty();
                    $(t.cntProductionDetails).empty();
                    $(t.cntProductions).empty();
                    $(t.cntLostDetails).empty();
                    //$(t.cntTimeline).empty();
                    if(t.chartOee){
                        t.chartOee.destroy();
                        //t.chartOee_ur.destroy();
                        //t.chartOee_fab.destroy();
                        //t.chartOee_gen.destroy();
                        t.chart_production_details.destroy();
                        t.chart_productions.destroy();
                        t.chart_lost_details.destroy();
                    }
                    $.ajax({
                        url: url,
                        method: "POST",
                        headers: { 
                            "Content-Type": "application/json",
                            "X-HTTP-Method-Override": route.methods[0] 
                        },
                        data: JSON.stringify(data),
                        dataType: 'json',
                        //dataType: 'binary',
                        //processData: false,
                        success: function(data, textStatus, xhr) {
                            //t.activateTabGrid();
                            t.waitMaskHide();
                            if(textStatus==='success'){
                                //console.log(data);
                                t.__data__=data;
                                t.forms.main.buttons[1].setEnable();
                                var d_oee=data.oee;
                                var d_cpd=data.client_production_details;
                                var d_cp=data.client_productions;
                                var d_cld=data.client_lost_details;
                                /*var options_oee_ur = {
                                    chart: {
                                        id:'chart_oee_ur',
                                        height: 250,
                                        type: 'radialBar',
                                    },
                                    plotOptions: {
                                        radialBar: {
                                            offsetY: -10,
                                            startAngle: 0,
                                            endAngle: 270,
                                            hollow: {
                                                margin: 5,
                                                size: '30%',
                                                background: 'transparent',
                                                image: undefined,
                                            },
                                            dataLabels: {
                                                name: {
                                                    show: true
                                                },
                                                value: {
                                                    show: false
                                                },
                                                total: {
                                                    show: true,
                                                    label: 'UR'
                                                }
                                            }
                                        }
                                    },
                                    colors: ['#ea1a1a', '#34bb39', '#3f51b5', '#2196f3'],
                                    series: [(d_oee.length>0?parseFloat(d_oee[0].kul_ur):0),(d_oee.length>0?parseFloat(d_oee[0].per_ur):0),(d_oee.length>0?parseFloat(d_oee[0].kal_ur):0),(d_oee.length>0?parseFloat(d_oee[0].oee_ur):0)],
                                    labels: ['Kullanılabilirlik', 'Performans', 'Kalite', 'OEE'],
                                    legend: {
                                        show: true,
                                        floating: true,
                                        fontSize: '12px',
                                        position: 'left',
                                        offsetX: -30,
                                        offsetY: -10,
                                        labels: {
                                            useSeriesColors: true,
                                        },
                                        markers: {
                                            size: 0
                                        },
                                        formatter: function(seriesName, opts) {
                                            return seriesName + ":  " + opts.w.globals.series[opts.seriesIndex]
                                        },
                                        itemMargin: {
                                            horizontal: 1,
                                        }
                                    },
                                    responsive: [{
                                        breakpoint: 480,
                                        options: {
                                            legend: {
                                                show: false
                                            }
                                        }
                                    }]
                                };
                                t.chartOee_ur = new ApexCharts(
                                    t.cntOee_ur,
                                    options_oee_ur
                                );
                                t.chartOee_ur.render();

                                var options_oee_fab = {
                                    chart: {
                                        id:'chart_oee_fab',
                                        height: 250,
                                        type: 'radialBar',
                                    },
                                    plotOptions: {
                                        radialBar: {
                                            offsetY: -10,
                                            startAngle: 0,
                                            endAngle: 270,
                                            hollow: {
                                                margin: 5,
                                                size: '30%',
                                                background: 'transparent',
                                                image: undefined,
                                            },
                                            dataLabels: {
                                                name: {
                                                    show: true
                                                },
                                                value: {
                                                    show: false
                                                },
                                                total: {
                                                    show: true,
                                                    label: 'FAB'
                                                }
                                            }
                                        }
                                    },
                                    colors: ['#ea1a1a', '#34bb39', '#3f51b5', '#2196f3'],
                                    series: [(d_oee.length>0?parseFloat(d_oee[0].kul_fab):0),(d_oee.length>0?parseFloat(d_oee[0].per_fab):0),(d_oee.length>0?parseFloat(d_oee[0].kal_fab):0),(d_oee.length>0?parseFloat(d_oee[0].oee_fab):0)],
                                    labels: ['Kullanılabilirlik', 'Performans', 'Kalite', 'OEE'],
                                    legend: {
                                        show: true,
                                        floating: true,
                                        fontSize: '12px',
                                        position: 'left',
                                        offsetX: -30,
                                        offsetY: -10,
                                        labels: {
                                            useSeriesColors: true,
                                        },
                                        markers: {
                                            size: 0
                                        },
                                        formatter: function(seriesName, opts) {
                                            return seriesName + ":  " + opts.w.globals.series[opts.seriesIndex]
                                        },
                                        itemMargin: {
                                            horizontal: 1,
                                        }
                                    },
                                    responsive: [{
                                        breakpoint: 480,
                                        options: {
                                            legend: {
                                                show: false
                                            }
                                        }
                                    }]
                                };
                                t.chartOee_fab = new ApexCharts(
                                    t.cntOee_fab,
                                    options_oee_fab
                                );
                                t.chartOee_fab.render();

                                var options_oee_gen = {
                                    chart: {
                                        id:'chart_oee_gen',
                                        height: 250,
                                        type: 'radialBar',
                                    },
                                    plotOptions: {
                                        radialBar: {
                                            offsetY: -10,
                                            startAngle: 0,
                                            endAngle: 270,
                                            hollow: {
                                                margin: 5,
                                                size: '30%',
                                                background: 'transparent',
                                                image: undefined,
                                            },
                                            dataLabels: {
                                                name: {
                                                    show: true
                                                },
                                                value: {
                                                    show: false
                                                },
                                                total: {
                                                    show: true,
                                                    label: 'GEN'
                                                }
                                            }
                                        }
                                    },
                                    colors: ['#ea1a1a', '#34bb39', '#3f51b5', '#2196f3'],
                                    series: [(d_oee.length>0?parseFloat(d_oee[0].kul_gen):0),(d_oee.length>0?parseFloat(d_oee[0].per_gen):0),(d_oee.length>0?parseFloat(d_oee[0].kal_gen):0),(d_oee.length>0?parseFloat(d_oee[0].oee_gen):0)],
                                    labels: ['Kullanılabilirlik', 'Performans', 'Kalite', 'OEE'],
                                    legend: {
                                        show: true,
                                        floating: true,
                                        fontSize: '12px',
                                        position: 'left',
                                        offsetX: -30,
                                        offsetY: -10,
                                        labels: {
                                            useSeriesColors: true,
                                        },
                                        markers: {
                                            size: 0
                                        },
                                        formatter: function(seriesName, opts) {
                                            return seriesName + ":  " + opts.w.globals.series[opts.seriesIndex]
                                        },
                                        itemMargin: {
                                            horizontal: 1,
                                        }
                                    },
                                    responsive: [{
                                        breakpoint: 480,
                                        options: {
                                            legend: {
                                                show: false
                                            }
                                        }
                                    }]
                                };
                                t.chartOee_gen = new ApexCharts(
                                    t.cntOee_gen,
                                    options_oee_gen
                                );
                                t.chartOee_gen.render();
                                */
                                var options_oee = {
                                    chart: {
                                        height: 250,
                                        type: 'bar',
                                        toolbar:{
                                            show:false
                                        }
                                    },
                                    plotOptions: {
                                        bar: {
                                            dataLabels: {
                                                position: 'top', // top, center, bottom
                                            }
                                        }
                                    },
                                    dataLabels: {
                                        enabled: true,
                                        formatter: function (val) {
                                            return val;
                                        },
                                        offsetY: -20,
                                        style: {
                                            fontSize: '12px',
                                            colors: ["#304758"]
                                        }
                                    },
                                    colors: ['#ea1a1a', '#34bb39', '#3f51b5', '#2196f3'],
                                    series: [{
                                        name: 'Kullanılabilirlik',
                                        type: 'column',
                                        data: [(d_oee.length>0?parseFloat(d_oee[0].kul_ur):0),(d_oee.length>0?parseFloat(d_oee[0].kul_fab):0),(d_oee.length>0?parseFloat(d_oee[0].kul_gen):0)]
                                    },{
                                        name: 'Performans',
                                        type: 'column',
                                        data: [(d_oee.length>0?parseFloat(d_oee[0].per_ur):0),(d_oee.length>0?parseFloat(d_oee[0].per_fab):0),(d_oee.length>0?parseFloat(d_oee[0].per_gen):0)]
                                    },{
                                        name: 'Kalite',
                                        type: 'column',
                                        data: [(d_oee.length>0?parseFloat(d_oee[0].kal_ur):0),(d_oee.length>0?parseFloat(d_oee[0].kal_fab):0),(d_oee.length>0?parseFloat(d_oee[0].kal_gen):0)]
                                    },{
                                        name: 'OEE',
                                        type: 'column',
                                        data: [(d_oee.length>0?parseFloat(d_oee[0].oee_ur):0),(d_oee.length>0?parseFloat(d_oee[0].oee_fab):0),(d_oee.length>0?parseFloat(d_oee[0].oee_gen):0)]
                                    }],
                                    xaxis: {
                                        categories: ['Üretim Md.','Fabrika Md.','Genel Md.']
                                    },
                                    yaxis: {
                                        axisBorder: {
                                            show: true
                                        },
                                        axisTicks: {
                                            show: true,
                                        },
                                        labels: {
                                            show: true,
                                            formatter: function (val) {
                                                return val;
                                            }
                                        }
                                    },
                                    title: {
                                        text: 'OEE',
                                        align: 'center',
                                        style: {
                                            color: '#444'
                                        }
                                    }
                                };

                                t.chartOee = new ApexCharts(
                                    t.cntOee,
                                    options_oee
                                );

                                t.chartOee.render();

                                var _cpd_cat=[];
                                var _cpd_data=[];
                                var _cpd_data_target=[];
                                for(var i=0;i<d_cpd.length;i++){
                                    _cpd_cat.push(d_cpd[i].opname);
                                    _cpd_data.push(parseInt(d_cpd[i].productioncurrent));
                                    _cpd_data_target.push(parseInt(d_cpd[i].productiontarget));
                                }
                                var options_production_details = {
                                    chart: {
                                        height: 250,
                                        type: 'bar',
                                        toolbar:{
                                            show:false
                                        }
                                    },
                                    plotOptions: {
                                        bar: {
                                            dataLabels: {
                                                position: 'top', // top, center, bottom
                                            },
                                        }
                                    },
                                    dataLabels: {
                                        enabled: true,
                                        formatter: function (val) {
                                            return val;
                                        },
                                        offsetY: -20,
                                        style: {
                                            fontSize: '12px',
                                            colors: ["#304758"]
                                        }
                                    },
                                    series: [
                                        {
                                            name: 'Üretilen',
                                            data: _cpd_data
                                        },
                                        {
                                            name: 'Hedeflenen',
                                            data: _cpd_data_target
                                        }
                                    ],
                                    xaxis: {
                                        categories: _cpd_cat
                                    },
                                    yaxis: [{
                                        seriesName: 'gercek',
                                        axisBorder: {
                                            show: true
                                        },
                                        axisTicks: {
                                            show: true
                                        },
                                        labels: {
                                            show: true,
                                            formatter: function (val) {
                                                return val ;
                                            }
                                        },
                                        title: {
                                            text: "Üretilen Adet",
                                            style: {
                                                color: '#008ffb'
                                            }
                                        }
                                    },
                                    {
                                        seriesName: 'hedeflenen',
                                        opposite: true,
                                        axisTicks: {
                                            show: true
                                        },
                                        axisBorder: {
                                            show: true
                                        },
                                        labels: {
                                            //style: {
                                            //    color: '#00E396'
                                            //},
                                            show: true,
                                            formatter: function (val) {
                                                return val ;
                                            }
                                        },
                                        title: {
                                            text: "Hedeflenen Adet",
                                            style: {
                                                color: '#00E396'
                                            }
                                        }
                                    }],
                                    title: {
                                        text: 'Üretim Miktarları',
                                        align: 'center',
                                        style: {
                                            color: '#444'
                                        }
                                    }
                                };

                                t.chart_production_details = new ApexCharts(
                                    t.cntProductionDetails,
                                    options_production_details
                                );

                                t.chart_production_details.render();

                                var _cp_cat=[];
                                var _cp_data=[];
                                for(var i=0;i<d_cp.length;i++){
                                    _cp_cat.push(d_cp[i].strstart);
                                    _cp_data.push(parseInt(d_cp[i].production));
                                }
                                var options_productions = {
                                    chart: {
                                        height: 250,
                                        type: 'bar',
                                        toolbar:{
                                            show:false
                                        }
                                    },
                                    plotOptions: {
                                        bar: {
                                            dataLabels: {
                                                position: 'top', // top, center, bottom
                                            },
                                        }
                                    },
                                    dataLabels: {
                                        enabled: true,
                                        formatter: function (val) {
                                            return val;
                                        },
                                        offsetY: -20,
                                        style: {
                                            fontSize: '12px',
                                            colors: ["#304758"]
                                        }
                                    },
                                    series: [{
                                        name: 'Sinyal Sayısı',
                                        data: _cp_data
                                    }],
                                    xaxis: {
                                        categories: _cp_cat
                                    },
                                    yaxis: {
                                        axisBorder: {
                                            show: true
                                        },
                                        axisTicks: {
                                            show: true,
                                        },
                                        labels: {
                                            show: true,
                                            formatter: function (val) {
                                                return val;
                                            }
                                        }
                                    },
                                    title: {
                                        text: 'Sinyal Adetleri',
                                        align: 'center',
                                        style: {
                                            color: '#444'
                                        }
                                    }
                                };

                                t.chart_productions = new ApexCharts(
                                    t.cntProductions,
                                    options_productions
                                );

                                t.chart_productions.render();

                                var _cld_cat=[];
                                var _cld_data=[];
                                var _cld_data_adet=[];
                                for(var i=0;i<d_cld.length;i++){
                                    _cld_cat.push(d_cld[i].losttype);
                                    _cld_data.push(parseFloat(d_cld[i].suredk));
                                    _cld_data_adet.push(parseInt(d_cld[i].sayi));
                                }
                                var options_lost_details = {
                                    chart: {
                                        height: 300,
                                        type: 'bar',
                                        toolbar:{
                                            show:false
                                        }
                                    },
                                    plotOptions: {
                                        bar: {
                                            dataLabels: {
                                                position: 'top', // top, center, bottom
                                            },
                                        }
                                    },
                                    dataLabels: {
                                        enabled: true,
                                        formatter: function (val) {
                                            return val;
                                        },
                                        offsetY: -20,
                                        style: {
                                            fontSize: '12px',
                                            colors: ["#304758"]
                                        }
                                    },
                                    series: [
                                        {
                                            name: 'Kayıp Süresi',
                                            type: 'column',
                                            data: _cld_data
                                        },{
                                            name: 'Kayıp Adedi',
                                            type: 'column',
                                            data: _cld_data_adet
                                        }
                                    ],
                                    xaxis: {
                                        categories: _cld_cat
                                    },
                                    yaxis: [{
                                        seriesName: 'süre',
                                        axisBorder: {
                                            show: true
                                        },
                                        axisTicks: {
                                            show: true
                                        },
                                        labels: {
                                            show: true,
                                            formatter: function (val) {
                                                return val ;
                                            }
                                        },
                                        title: {
                                            text: "Kayıp Süre (dk)",
                                            style: {
                                                color: '#008ffb'
                                            }
                                        }
                                    },
                                    {
                                        seriesName: 'adet',
                                        opposite: true,
                                        axisTicks: {
                                            show: true
                                        },
                                        axisBorder: {
                                            show: true
                                        },
                                        labels: {
                                            //style: {
                                            //    color: '#00E396'
                                            //},
                                            show: true,
                                            formatter: function (val) {
                                                return val ;
                                            }
                                        },
                                        title: {
                                            text: "Kayıp Adedi",
                                            style: {
                                                color: '#00E396'
                                            }
                                        }
                                    }],
                                    title: {
                                        text: 'Kayıp Süreler (dk)',
                                        align: 'center',
                                        style: {
                                            color: '#444'
                                        }
                                    }
                                };

                                t.chart_lost_details = new ApexCharts(
                                    t.cntLostDetails,
                                    options_lost_details
                                );

                                t.chart_lost_details.render();
                                //if(!t.chartOee_ur){
                                //    t.chartOee_ur = new ApexCharts(
                                //        t.cntOee_ur,
                                //        options_oee
                                //    );
                                //    t.chartOee_ur.render();
                                //}else{
                                //    ApexCharts.exec('chart_oee_ur', 'updateSeries', [(d_oee.length>0?parseFloat(d_oee[0].kul):0),(d_oee.length>0?parseFloat(d_oee[0].per):0),(d_oee.length>0?parseFloat(d_oee[0].kal):0),(d_oee.length>0?parseFloat(d_oee[0].oee):0)], true);
                                //}
                               
                                /*var datag = google.visualization.arrayToDataTable([
                                    ['Label', 'Value'],
                                    ['KUL', (d_oee.length>0?parseFloat(d_oee[0].kul):0)],
                                    ['PER', (d_oee.length>0?parseFloat(d_oee[0].per):0)],
                                    ['KAL', (d_oee.length>0?parseFloat(d_oee[0].kal):0)],
                                    ['OEE', (d_oee.length>0?parseFloat(d_oee[0].oee):0)]
                                ]);

                                var optionsg = {
                                    width: 400, height: 120,
                                    redFrom: 90, redTo: 100,
                                    yellowFrom:75, yellowTo: 90,
                                    width: 800,
                                    height: 200,
                                    minorTicks: 5
                                };

                                var chartg = new google.visualization.Gauge(t.cntGauge);
                                chartg.draw(datag, optionsg);

                                var d_cpd=data.client_production_details;
                                var tmp_p=[];
                                tmp_p.push(["Operasyon", "Miktar"]);
                                for(var i=0;i<d_cpd.length;i++){
                                    tmp_p.push([d_cpd[i].opname,parseInt(d_cpd[i].productioncurrent)]);
                                }
                                console.log(tmp_p);
                                var datap = google.visualization.arrayToDataTable(tmp_p);
                                console.log(datap);
                                var viewp = new google.visualization.DataView(datap);
                                console.log(viewp);
                                viewp.setColumns([0, 1,
                                    { calc: "stringify",
                                    sourceColumn: 1,
                                    type: "string",
                                    role: "annotation" }]);

                                var optionsp = {
                                    title: "---",
                                    //width: 600,
                                    height: 200,
                                    bar: {groupWidth: "95%"},
                                    legend: { position: "none" },
                                };
                                var chartp = new google.visualization.ColumnChart(t.cntProductions);
                                console.log(chartp);
                                chartp.draw(viewp, optionsp);
                                
                                var d_cld=data.client_lost_details;
                                var chart = new google.visualization.Timeline(t.cntTimeline);
                                var dataTable = new google.visualization.DataTable();
                                dataTable.addColumn({ type: 'string', id: 'Position' });
                                dataTable.addColumn({ type: 'string', id: 'Name' });
                                dataTable.addColumn({ type: 'date', id: 'Start' });
                                dataTable.addColumn({ type: 'date', id: 'End' });
                                var tmp=[];
                                for(var i=0;i<d_cld.length;i++){
                                    tmp.push(['Kayıp',d_cld[i].losttype,new Date(d_cld[i].start),new Date(d_cld[i].finish)]);
                                }
                                dataTable.addRows(tmp);
                            
                                chart.draw(dataTable,{height:100});*/
                            }
                        },
                        error: function(xhr, textStatus, errorThrown) {
                            t.waitMaskHide();
                            if(xhr.responseJSON&&xhr.responseJSON.message){
                                mj.message({
                                    title: mj.lng.glb.error,
                                    msg: xhr.responseJSON.message,
                                    type: "error",
                                    html: true
                                });
                            }
                        },
                        complete: function(jqXHR, textStatus) {
                            t.waitMaskHide();
                        }
                    });
                }
            }
        }
    };
    {% endblock begin_javascript %}



    {% block begin_default_module %}
    {{ parent() }}
    {% endblock begin_default_module %}



    {% block end_default_module %}
    {{ parent() }}
    {% endblock end_default_module %}


    {% block end_javascript %}
    {{ parent() }}
    {% endblock end_javascript %}


    {% block end_javascript_fix %}
</script>
{% endblock end_javascript_fix %}



{% block body %}
    {{ parent() }}
{% endblock body %}
